PLHLSRGB(3)

NAME
plhlsrgb - Convert HLS color to RGB

SYNOPSIS
plhlsrgb(h, l, s, p_r, p_g, p_b)

DESCRIPTION

Convert HLS color coordinates to RGB.

Redacted form: General: plhlsrgb(h, l, s, p_r, p_g, p_b) Perl/PDL: Not available? Implemented as plhls?

This function is used in example 2.

ARGUMENTS

h (PLFLT(3), input)
    Hue in degrees (0.0-360.0) on the color cylinder.

l (PLFLT(3), input)
    Lightness expressed as a fraction (0.0-1.0) of the axis of the color cylinder.

s (PLFLT(3), input)
    Saturation expressed as a fraction (0.0-1.0) of the radius of the color cylinder.

p_r (PLFLT_NC_SCALAR(3), output)
    Returned value of the red intensity (0.0-1.0) of the color.

p_g (PLFLT_NC_SCALAR(3), output)
    Returned value of the green intensity (0.0-1.0) of the color.

p_b (PLFLT_NC_SCALAR(3), output)
    Returned value of the blue intensity (0.0-1.0) of the color.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.